DUNE-HELP(1)

NAME

dune-help - Additional Dune help.

SYNOPSIS

dune help [--build-info] [--man-format=FMT] [OPTION]… [TOPIC]

DESCRIPTION

dune help TOPIC provides additional help on the given topic. The following topics are available:

config
    dune-config

OPTIONS

--build-info
    Show build information.

--man-format=FMT (absent=pager)
    Show output in format FMT. The value FMT must be one of auto, pager, groff or plain. With auto, the format is pager or plain whenever the TERM env var is dumb or undefined.

COMMON OPTIONS

--help[=FMT] (default=auto)
    Show this help in format FMT. The value FMT must be one of auto, pager, groff or plain. With auto, the format is pager or plain whenever the TERM env var is dumb or undefined.

--version
    Show version information.

EXIT STATUS

dune help exits with:

0   on success.

1   if an error happened.

130 if it was interrupted by a signal.

ENVIRONMENT

These environment variables affect the execution of help:

CLICOLOR
    If different than 0, ANSI colors are supported and should be used when the program isn't piped. If equal to 0, don't output ANSI color escape codes

CLICOLOR_FORCE
    If different than 0, ANSI colors should be enabled no matter what.

DUNE_CACHE_ROOT
    If set, determines the location of the machine-global shared cache.

BUGS

Check bug reports at https://github.com/ocaml/dune/issues

SEE ALSO

dune(1)